; hair

; Constants -------------------------

[Constants]
global $active = 0
global $creditinfo = 0

[Present]
post $active = 0
run = CommandListCreditInfo

; Overrides -------------------------

[TextureOverridehairBlend]
hash = 8823a09a
handling = skip
vb2 = ResourcehairBlend
if DRAW_TYPE == 1
	vb0 = ResourcehairPosition
	draw = 3859, 0

	$active = 1
endif

[TextureOverridehairTexcoord]
hash = af566e38
vb1 = ResourcehairTexcoord

[TextureOverridehairVertexLimitRaise]
hash = ff8f2723
override_vertex_count = 3859
override_byte_stride = 40

[TextureOverridehairIB]
hash = ea055cac
handling = skip

[TextureOverridehairA]
hash = ea055cac
match_first_index = 0
ib = ResourcehairAIB
Resource\ZZMI\Diffuse = ref ResourcehairADiffuse
Resource\ZZMI\NormalMap = ref ResourcehairANormalMap
Resource\ZZMI\LightMap = ref ResourcehairALightMap
Resource\ZZMI\MaterialMap = ref ResourcehairAMaterialMap
run = CommandList\ZZMI\SetTextures
; hairA-vb0=f0740488.txt (3859)
drawindexed = 15390, 0, 0


; CommandList -----------------------

[CommandListCreditInfo]
if $creditinfo == 0 && $active > 0
	pre Resource\ShaderFixes\help.ini\Notification = ResourceCreditInfo
	pre run = CustomShader\ShaderFixes\help.ini\FormatText
	pre $\ShaderFixes\help.ini\notification_timeout = time + 5.0
	$creditinfo = 1
endif

; Resources -------------------------

[ResourcehairPosition]
type = Buffer
stride = 40
filename = hairPosition.buf

[ResourcehairBlend]
type = Buffer
stride = 32
filename = hairBlend.buf

[ResourcehairTexcoord]
type = Buffer
stride = 20
filename = hairTexcoord.buf

[ResourcehairAIB]
type = Buffer
format = DXGI_FORMAT_R32_UINT
filename = hairA.ib

[ResourcehairADiffuse]
filename = hairADiffuse.dds

[ResourcehairANormalMap]
filename = hairANormalMap.dds

[ResourcehairALightMap]
filename = hairALightMap.dds

[ResourcehairAMaterialMap]
filename = hairAMaterialMap.dds

[ResourceCreditInfo]
type = Buffer
data = "Created by mingchen"

; .ini generated by XXMI (XX-Model-Importer) v1.5.8
; If you have any issues or find any bugs, please open a ticket at https://github.com/leotorrez/XXMI-Tools/issues
